Bug 974972 - afr: rm -rf of files which are in split brain is successful from fuse client but gives input/output error from NFS
afr: rm -rf of files which are in split brain is successful from fuse client ...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On: 974475
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 05:50 EDT by Pranith Kumar K
Modified: 2013-07-24 13:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 974475
Environment:
Last Closed: 2013-07-24 13:34:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-06-17 06:00:07 EDT
REVIEW: http://review.gluster.org/5227 (nfs: Remove afr split-brain handling in nfs) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 2 Anand Avati 2013-06-18 01:15:34 EDT
REVIEW: http://review.gluster.org/5227 (nfs: Remove afr split-brain handling in nfs.) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 3 Anand Avati 2013-06-18 04:39:10 EDT
REVIEW: http://review.gluster.org/5227 (nfs: Remove afr split-brain handling in nfs) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 4 Anand Avati 2013-06-22 00:52:58 EDT
REVIEW: http://review.gluster.org/5227 (nfs: Remove afr split-brain handling in nfs) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 5 Anand Avati 2013-06-25 12:41:15 EDT
COMMIT: http://review.gluster.org/5227 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit fb064ec4e302e59aca9ba8a8d97e4cc2d82d31ef
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Mon Jun 17 13:06:23 2013 +0530

    nfs: Remove afr split-brain handling in nfs
    
    We added this code as an interim fix until afr can
    handle split-brains even when opens are not issued.
    Afr code has matured to reject fd based fops when
    there are split-brains so we can remove it.
    
    Change-Id: Ib337f78eccee86469a5eaabed1a547a2cea2bdcf
    BUG: 974972
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/5227
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.